<!DOCTYPE html>
<html lang="en">
	<head>
		<title>Box-Sizing Demo</title>
		<style>
			*{
				margin: 0;
				padding: 0;
				box-sizing: border-box;
			}

			#box{
				height: 150px;
				width: 150px;
				padding: 50px;
				border: 1px solid black;
				background-color: orange;
			}
		</style>

		<!-- 
			without box-sizing: border-box:
				1px border right + 50 px left padding + 150 px width + 50 px right padding + 1px left bottom = 252px

			with box-sizing: border-box:
				2px border + 100px padding + 48px width = 150px

				the specifications for padding and border will be included in the computation of the height and width of the element
		 -->
	</head>
	<body>
		<div id="box">Hello</div>
	</body>
</html>